import { EventEmitter } from "@angular/core";
import { AuthenticatedUser } from "./authenticated-user";
export interface AbstractAuthenticationService {
    authenticatedChanged: EventEmitter<boolean>;
    authenticatingChanged: EventEmitter<boolean>;
    authenticationError: EventEmitter<any>;
    authenticating: boolean;
    authenticated: boolean;
    authenticatedUser: AuthenticatedUser | null;
    login: Function;
    logout: Function;
    validateUser: Function;
    checkForExistingToken: Function;
}
