import { OnInit } from '@angular/core';
import { ControlValueAccessor } from "@angular/forms";
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { ActiveDirectoryService, User } from '@cleavelandprice/ngx-lib/active-directory';
import 'quill-mention';
import { EditorComponent as EditorComponentBase } from '@cleavelandprice/ngx-lib/quill';
import { DialogData } from '../../model/dialog-data';
import * as i0 from "@angular/core";
export declare class EditorComponent extends EditorComponentBase implements OnInit, ControlValueAccessor {
    private dlgRef;
    private dlg;
    private activeDirectoryService;
    users: User[] | undefined;
    constructor(data: DialogData, dlgRef: MatDialogRef<EditorComponent>, dlg: MatDialog, activeDirectoryService: ActiveDirectoryService);
    ngOnInit(): void;
    toggleFullscreen(): void;
    get modules(): {};
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorComponent, [{ optional: true; }, { optional: true; }, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditorComponent, "cpquill-editor-with-mention", never, { "users": "users"; }, {}, never, never, false>;
}
