import { Buttons } from "./buttons";
import { Icons } from "./icons";
import { Tooltips } from "./tooltips";
export declare class Config {
    buttons: Buttons;
    tooltips: Tooltips;
    icons: Icons;
    format: 'object' | 'html' | 'text' | 'json';
    height: string;
    width: string;
    fullscreenHeight: string;
    fullscreenWidth: string;
    enableTooltips: boolean;
    fullscreen: boolean;
    fullscreenMode: 'expand' | 'popout';
    readonly: boolean;
    applyReadonlyStyle: boolean;
    showToolbar: boolean;
    showBorder: boolean;
    imageResizeModule: boolean;
    imageDropModule: boolean;
    syntaxModule: boolean;
    showBlockStyle: () => boolean;
    showFontStyle: () => boolean;
    showQuickHeadingStyle: () => boolean;
    showIndentStyle: () => boolean;
    showListStyle: () => boolean;
    showMedia: () => boolean;
    showScriptStyle: () => boolean;
}
