import { OnInit } from '@angular/core';
import { ActiveDirectoryService, CleavelandPriceUser } from '@cleavelandprice/ngx-lib/active-directory';
import { PhotoItem } from '../../model/photo-item';
import * as i0 from "@angular/core";
export declare class EmployeePhotoComponent implements OnInit {
    private activeDirectoryService;
    employee: CleavelandPriceUser | null;
    accountName: string | null;
    employeePhotos?: PhotoItem[];
    size: string;
    notRound: boolean;
    constructor(activeDirectoryService: ActiveDirectoryService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EmployeePhotoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EmployeePhotoComponent, "employee-photo", never, { "employee": "employee"; "accountName": "accountName"; "employeePhotos": "employeePhotos"; "size": "size"; "notRound": "notRound"; }, {}, never, never, false>;
}
