import { ModuleWithProviders } from '@angular/core';
import { ServiceConfig } from './model/service-config';
import * as i0 from "@angular/core";
import * as i1 from "./pipes/employee-photo-url.pipe";
import * as i2 from "./components/employee-photo/employee-photo.component";
import * as i3 from "@angular/common";
export declare class SharePointModule {
    static forRoot(config: ServiceConfig): ModuleWithProviders<SharePointModule>;
    constructor(parentModule: SharePointModule);
    static ɵfac: i0.ɵɵFactoryDeclaration<SharePointModule, [{ optional: true; skipSelf: true; }]>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SharePointModule, [typeof i1.EmployeePhotoUrlPipe, typeof i2.EmployeePhotoComponent], [typeof i3.CommonModule], [typeof i1.EmployeePhotoUrlPipe, typeof i2.EmployeePhotoComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SharePointModule>;
}
