import { HttpClient } from '@angular/common/http';
import { SharePointService } from '@cleavelandprice/ngx-lib/sharepoint';
import { AuthenticationService as TokenAuthenticationService } from '@cleavelandprice/ngx-lib/authentication/token';
import { ServiceConfig } from '../model/service-config';
import * as i0 from "@angular/core";
export declare class AuthenticationService extends TokenAuthenticationService {
    config: ServiceConfig;
    http: HttpClient;
    private sharePointService;
    constructor(config: ServiceConfig, http: HttpClient, sharePointService: SharePointService);
    validateUser(token: string): void;
    private getPhoto;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthenticationService, [{ optional: true; }, null, null]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthenticationService>;
}
