import { EventEmitter } from '@angular/core';
import { ConfirmationDialogMode } from '../../model/confirmation-dialog-mode';
import { DialogBaseData } from '../../model/dialog-base-data';
import { DialogType } from '../../model/dialog-type';
import * as i0 from "@angular/core";
export declare class BaseComponent {
    DialogType: typeof DialogType;
    dialogType: DialogType;
    data: DialogBaseData;
    closed: EventEmitter<any>;
    ConfirmationDialogMode: typeof ConfirmationDialogMode;
    userInput: string;
    checkboxValue: boolean;
    get customTrueText(): string | null;
    get customFalseText(): string | null;
    get choices(): string[] | null;
    close(): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaseComponent, "cp-dialog-base", never, { "dialogType": "dialogType"; "data": "data"; }, { "closed": "closed"; }, never, never, false>;
}
