import { Config } from './config';
export interface DialogData {
    value: any;
    config: Config;
    placeholder: string | undefined;
    format: 'object' | 'html' | 'text' | 'json';
    height: string;
    width: string;
    maxHeight: string;
    maxWidth: string;
    enableTooltips: boolean;
    fullscreen: boolean;
    fullscreenMode: 'expand' | 'popout';
    readonly: boolean;
    applyReadonlyStyle: boolean;
    showToolbar: boolean;
    showBorder: boolean;
    imageResizeModule: boolean;
    imageDropModule: boolean;
    syntaxModule: boolean;
}
